import 'package:flutter/material.dart';

class SeniorColors {
  SeniorColors._();

  static const Color primaryColor = primaryColor600;
  static const Color primaryColor100 = Color(0xFFD0EEE7);
  static const Color primaryColor200 = Color(0xFFA0DCCE);
  static const Color primaryColor300 = Color(0xFF71CBB6);
  static const Color primaryColor400 = Color(0xFF41B99D);
  static const Color primaryColor500 = Color(0xFF12A885);
  static const Color primaryColor600 = Color(0xFF0E866A);
  static const Color primaryColor700 = Color(0xFF0B6550);
  static const Color primaryColor800 = Color(0xFF074335);
  static const Color primaryColor900 = Color(0xFF04221B);

  static const Color secondaryColor = secondaryColor600;
  static const Color secondaryColor100 = Color(0xFFECEEF1);
  static const Color secondaryColor200 = Color(0xFFD8DEE2);
  static const Color secondaryColor300 = Color(0xFFC5CDD4);
  static const Color secondaryColor400 = Color(0xFFB1BDC5);
  static const Color secondaryColor500 = Color(0xFF9EACB7);
  static const Color secondaryColor600 = Color(0xFF7E8A92);
  static const Color secondaryColor700 = Color(0xFF5F676E);
  static const Color secondaryColor800 = Color(0xFF3F4549);
  static const Color secondaryColor900 = Color(0xFF202225);

  static const Color neutralColor100 = Color(0xFFFAFAFA);
  static const Color neutralColor200 = Color(0xFFF0F0F0);
  static const Color neutralColor300 = Color(0xFFE5E5E5);
  static const Color neutralColor400 = Color(0xFFCCCCCC);
  static const Color neutralColor500 = Color(0xFF808080);
  static const Color neutralColor600 = Color(0xFF666666);
  static const Color neutralColor700 = Color(0xFF4D4D4D);
  static const Color neutralColor800 = Color(0xFF333333);
  static const Color neutralColor900 = Color(0xFF1A1A1A);
  static const Color pureBlack = Color(0xFF080808);
  static const Color pureWhite = Color(0xFFFFFFFF);

  static const Color supportingColor = supportingColor500;
  static const Color supportingColor100 = Color(0xFFEBCBFF);
  static const Color supportingColor200 = Color(0xFFCC7DFC);
  static const Color supportingColor300 = Color(0xFFB048F0);
  static const Color supportingColor400 = Color(0xFF821BC1);
  static const Color supportingColor500 = Color(0xFF62079A);
  static const Color supportingColor600 = Color(0xFF460470);
  static const Color supportingColor700 = Color(0xFF2F014B);
  static const Color supportingColor800 = Color(0xFF1F0133);
  static const Color supportingColor900 = Color(0xFF0C0014);

  static const Color manchesterColorRed = manchesterColorRed500;
  static const Color manchesterColorRed100 = Color(0xFFF6D8DA);
  static const Color manchesterColorRed200 = Color(0xFFEEB0B5);
  static const Color manchesterColorRed300 = Color(0xFFE5898F);
  static const Color manchesterColorRed400 = Color(0xFFDD616A);
  static const Color manchesterColorRed500 = Color(0xFFD43A45);
  static const Color manchesterColorRed600 = Color(0xFFAA2E37);
  static const Color manchesterColorRed700 = Color(0xFF7F2329);
  static const Color manchesterColorRed800 = Color(0xFF55171C);
  static const Color manchesterColorRed900 = Color(0xFF2A0C0E);

  static const Color manchesterColorOrange = manchesterColorOrange500;
  static const Color manchesterColorOrange100 = Color(0xFFFCE8D2);
  static const Color manchesterColorOrange200 = Color(0xFFF9D2A5);
  static const Color manchesterColorOrange300 = Color(0xFFF7BB78);
  static const Color manchesterColorOrange400 = Color(0xFFF4A54B);
  static const Color manchesterColorOrange500 = Color(0xFFF18E1E);
  static const Color manchesterColorOrange600 = Color(0xFFC17218);
  static const Color manchesterColorOrange700 = Color(0xFF915512);
  static const Color manchesterColorOrange800 = Color(0xFF60390C);
  static const Color manchesterColorOrange900 = Color(0xFF301C06);

  static const Color manchesterColorYellow = manchesterColorYellow500;
  static const Color manchesterColorYellow100 = Color(0xFFFCF0D1);
  static const Color manchesterColorYellow200 = Color(0xFFF8E2A4);
  static const Color manchesterColorYellow300 = Color(0xFFF5D376);
  static const Color manchesterColorYellow400 = Color(0xFFF1C549);
  static const Color manchesterColorYellow500 = Color(0xFFEEB61B);
  static const Color manchesterColorYellow600 = Color(0xFFBE9216);
  static const Color manchesterColorYellow700 = Color(0xFF8F6D10);
  static const Color manchesterColorYellow800 = Color(0xFF5F490B);
  static const Color manchesterColorYellow900 = Color(0xFF302405);

  static const Color manchesterColorGreen = manchesterColorGreen500;
  static const Color manchesterColorGreen100 = Color(0xFFD6E7D7);
  static const Color manchesterColorGreen200 = Color(0xFFADCFAF);
  static const Color manchesterColorGreen300 = Color(0xFF83B788);
  static const Color manchesterColorGreen400 = Color(0xFF5A9F60);
  static const Color manchesterColorGreen500 = Color(0xFF318738);
  static const Color manchesterColorGreen600 = Color(0xFF276C2D);
  static const Color manchesterColorGreen700 = Color(0xFF1D5122);
  static const Color manchesterColorGreen800 = Color(0xFF143616);
  static const Color manchesterColorGreen900 = Color(0xFF0A1B0B);

  static const Color manchesterColorBlue = manchesterColorBlue500;
  static const Color manchesterColorBlue100 = Color(0xFFD2E4F3);
  static const Color manchesterColorBlue200 = Color(0xFFA5C9E7);
  static const Color manchesterColorBlue300 = Color(0xFF77AFDB);
  static const Color manchesterColorBlue400 = Color(0xFF4A94CF);
  static const Color manchesterColorBlue500 = Color(0xFF1D79C3);
  static const Color manchesterColorBlue600 = Color(0xFF17619C);
  static const Color manchesterColorBlue700 = Color(0xFF114975);
  static const Color manchesterColorBlue800 = Color(0xFF0C304E);
  static const Color manchesterColorBlue900 = Color(0xFF061827);

  //Gradients
  static const List<Color> primaryGradientColors = [
    Color(0xFF5288B6),
    Color(0xFF00C89A),
  ];
}
